public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx/, dev-python/sphinx/files/
Date: Tue,  3 Aug 2021 08:52:30 +0000 (UTC)	[thread overview]
Message-ID: <1627980746.f3daf52ea21f91719899893f54bb4fd42a88ff3f.mgorny@gentoo> (raw)

commit:     f3daf52ea21f91719899893f54bb4fd42a88ff3f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  3 08:14:46 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug  3 08:52:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3daf52e

dev-python/sphinx: Bump to 4.1.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinx/Manifest                       |   1 +
 dev-python/sphinx/files/sphinx-4.1.2-py310.patch |  63 +++++++++++
 dev-python/sphinx/sphinx-4.1.2.ebuild            | 133 +++++++++++++++++++++++
 3 files changed, 197 insertions(+)

diff --git a/dev-python/sphinx/Manifest b/dev-python/sphinx/Manifest
index cbdd4e53545..2ffcbc73a14 100644
--- a/dev-python/sphinx/Manifest
+++ b/dev-python/sphinx/Manifest
@@ -2,3 +2,4 @@ DIST Sphinx-3.5.4.tar.gz 5911093 BLAKE2B 8740714dfaf3733bf57d0b277315b4e7b5cad86
 DIST Sphinx-4.0.3.tar.gz 6164298 BLAKE2B 60726ed4cc4f92910bcfff20dde09beef89e4c171b6f12a327e981df8fa6569a901c0b8e994cd66263b87056548f9f966a2e3049341447ad28797bf120a42a70 SHA512 8dd561b220779efb4cf779f46b342a298f18bfeb7670e0485ba8fcae7a03b2bd30368b441237ed597e1d8f001e35bae13a7d4d44d6921a4fa1b8a7804a5850c7
 DIST Sphinx-4.1.0.tar.gz 6302885 BLAKE2B 7e2eafa236173c0fe7d761d1692ff8bb0c12ad8fae2894e2088fff0415d085a3ea652c59d4efc94788829c4261cbee161d85a5c35d6a282fb1a201f658425bb7 SHA512 482378b85b51e74bc2c841bc5ac7b7d5a0034b28e62d36182972439a1e48ce5faaa82e6c3daa35ff6a3f1b1ed1c4187564c77806e6d1804dae0f2c24262adbe6
 DIST Sphinx-4.1.1.tar.gz 6373009 BLAKE2B dd19089149d626a0a65af4ff1cd8acf5a5ea8d00b6c940d2d7c5e1c459ae37d993d82652114b9144a80971275a6e346942dce9a6a3798220dc77e0f88d8fc2e1 SHA512 6250fa568f9952471f3cb433a1e7a053c779540c0c049d0e0bad4f2b754935f8c9f351a297349bc15f1dcb4b152a550771f2f381b2eee92a68759e034fce23c4
+DIST Sphinx-4.1.2.tar.gz 6373677 BLAKE2B a78df4302520898c8708a75129baf28dd2dcde2dcbb4147d8246a2dd7907ae2af2ed8cf1d259ff1065dbe987fd918a7153831a9f5c16e79834c41f86b6031e41 SHA512 1fe998de7b8fc47989e186835748b7fb5d0b523db95434515b6af29b56d28372f2f92ab917c27cbed51aa0cad13175eda8bf4fc93a8726eb5e93e9bc6995e457

diff --git a/dev-python/sphinx/files/sphinx-4.1.2-py310.patch b/dev-python/sphinx/files/sphinx-4.1.2-py310.patch
new file mode 100644
index 00000000000..8c03d1f6672
--- /dev/null
+++ b/dev-python/sphinx/files/sphinx-4.1.2-py310.patch
@@ -0,0 +1,63 @@
+From 1fd5f746539d3e02886032fae8d53af0c2f6ecdd Mon Sep 17 00:00:00 2001
+From: Takeshi KOMIYA <i.tkomiya@gmail.com>
+Date: Fri, 30 Jul 2021 01:27:38 +0900
+Subject: [PATCH] Fix #9512: sphinx-build: crashed with the HEAD of Python 3.10
+
+Recently, `types.Union` was renamed to `types.UnionType` on the HEAD
+of 3.10 (refs: python/cpython#27342). After this change, sphinx-build
+has been crashed because of ImportError.
+---
+ CHANGES               |  2 ++
+ sphinx/util/typing.py | 12 ++++++------
+ 2 files changed, 8 insertions(+), 6 deletions(-)
+
+diff --git a/CHANGES b/CHANGES
+index a643bfe841..70eb8db93a 100644
+--- a/CHANGES
++++ b/CHANGES
+@@ -16,6 +16,8 @@ Features added
+ Bugs fixed
+ ----------
+ 
++* #9512: sphinx-build: crashed with the HEAD of Python 3.10
++
+ Testing
+ --------
+ 
+diff --git a/sphinx/util/typing.py b/sphinx/util/typing.py
+index f1723c035a..012d32e524 100644
+--- a/sphinx/util/typing.py
++++ b/sphinx/util/typing.py
+@@ -33,10 +33,10 @@ def _evaluate(self, globalns: Dict, localns: Dict) -> Any:
+             ref = _ForwardRef(self.arg)
+             return ref._eval_type(globalns, localns)
+ 
+-if sys.version_info > (3, 10):
+-    from types import Union as types_Union
+-else:
+-    types_Union = None
++try:
++    from types import UnionType  # type: ignore  # python 3.10 or above
++except ImportError:
++    UnionType = None
+ 
+ if False:
+     # For type annotation
+@@ -114,7 +114,7 @@ def restify(cls: Optional[Type]) -> str:
+             return ':class:`%s`' % INVALID_BUILTIN_CLASSES[cls]
+         elif inspect.isNewType(cls):
+             return ':class:`%s`' % cls.__name__
+-        elif types_Union and isinstance(cls, types_Union):
++        elif UnionType and isinstance(cls, UnionType):
+             if len(cls.__args__) > 1 and None in cls.__args__:
+                 args = ' | '.join(restify(a) for a in cls.__args__ if a)
+                 return 'Optional[%s]' % args
+@@ -337,7 +337,7 @@ def _stringify_py37(annotation: Any) -> str:
+     elif hasattr(annotation, '__origin__'):
+         # instantiated generic provided by a user
+         qualname = stringify(annotation.__origin__)
+-    elif types_Union and isinstance(annotation, types_Union):  # types.Union (for py3.10+)
++    elif UnionType and isinstance(annotation, UnionType):  # types.Union (for py3.10+)
+         qualname = 'types.Union'
+     else:
+         # we weren't able to extract the base type, appending arguments would

diff --git a/dev-python/sphinx/sphinx-4.1.2.ebuild b/dev-python/sphinx/sphinx-4.1.2.ebuild
new file mode 100644
index 00000000000..3d9abeccb55
--- /dev/null
+++ b/dev-python/sphinx/sphinx-4.1.2.ebuild
@@ -0,0 +1,133 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python documentation generator"
+HOMEPAGE="https://www.sphinx-doc.org/
+	https://github.com/sphinx-doc/sphinx"
+SRC_URI="mirror://pypi/S/${PN^}/${P^}.tar.gz"
+S=${WORKDIR}/${P^}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc latex"
+
+RDEPEND="
+	<dev-python/alabaster-0.8[${PYTHON_USEDEP}]
+	>=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/imagesize[${PYTHON_USEDEP}]
+	>=dev-python/jinja-2.3[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.5.0[${PYTHON_USEDEP}]
+	>=dev-python/snowballstemmer-1.1[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-applehelp[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-devhelp[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-jsmath[${PYTHON_USEDEP}]
+	>=dev-python/sphinxcontrib-htmlhelp-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/sphinxcontrib-serializinghtml-1.1.5[${PYTHON_USEDEP}]
+	dev-python/sphinxcontrib-qthelp[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	latex? (
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-luatex
+		app-text/dvipng
+	)"
+BDEPEND="
+	doc? (
+		dev-python/sphinxcontrib-websupport[${PYTHON_USEDEP}]
+		media-gfx/graphviz
+	)
+	test? (
+		dev-python/html5lib[${PYTHON_USEDEP}]
+		virtual/imagemagick-tools[jpeg,png,svg]
+		dev-texlive/texlive-fontsextra
+		dev-texlive/texlive-latexextra
+		dev-texlive/texlive-luatex
+		app-text/dvipng
+	)"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-3.2.1-doc-link.patch"
+	# https://github.com/sphinx-doc/sphinx/commit/1fd5f746539d3e02886032fae8d53af0c2f6ecdd
+	"${FILESDIR}/${P}-py310.patch"
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# disable internet access
+	sed -i -e 's:^intersphinx_mapping:disabled_&:' \
+		doc/conf.py || die
+
+	# remove unnecessary upper bounds
+	sed -e '/Jinja2/s:,<3.0::' \
+		-e '/MarkupSafe/s:<2.0::' \
+		-i setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile() {
+	distutils-r1_python_compile
+
+	# Generate the grammar. It will be caught by install somehow.
+	# Note that the tests usually do it for us. However, I don't want
+	# to trust USE=test really running all the tests, especially
+	# with FEATURES=test-fail-continue.
+	pushd "${BUILD_DIR}"/lib >/dev/null || die
+	"${EPYTHON}" -m sphinx.pycode.__init__ || die "Grammar generation failed."
+	popd >/dev/null || die
+}
+
+python_compile_all() {
+	if use doc; then
+		esetup.py build_sphinx
+		HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+	fi
+}
+
+python_test() {
+	mkdir -p "${BUILD_DIR}/sphinx_tempdir" || die
+	local -x SPHINX_TEST_TEMPDIR="${BUILD_DIR}/sphinx_tempdir"
+
+	local deselect=(
+		# these tests require Internet access
+		tests/test_build_latex.py::test_latex_images
+		tests/test_build_linkcheck.py::test_defaults
+		tests/test_build_linkcheck.py::test_defaults_json
+		tests/test_build_linkcheck.py::test_anchors_ignored
+	)
+	[[ ${EPYTHON} == python3.10 ]] && deselect+=(
+		tests/test_ext_autodoc.py::test_enum_class
+	)
+	[[ ${EPYTHON} == pypy3 ]] && deselect+=(
+		tests/test_build_linkcheck.py::test_connect_to_selfsigned_fails
+		tests/test_ext_autodoc.py::test_autodoc_inherited_members_None
+		tests/test_ext_autodoc.py::test_autodoc_typed_inherited_instance_variables
+		tests/test_ext_autodoc.py::test_autodoc_typed_instance_variables
+		tests/test_ext_autodoc.py::test_automethod_for_builtin
+		tests/test_ext_autodoc.py::test_cython
+		tests/test_ext_autodoc.py::test_partialfunction
+		tests/test_ext_autodoc_autoclass.py::test_autodoc_process_bases
+		tests/test_ext_autodoc_autoclass.py::test_show_inheritance_for_subclass_of_generic_type
+		tests/test_ext_autodoc_autodata.py::test_autodata_type_comment
+		tests/test_ext_autodoc_autofunction.py::test_builtin_function
+		tests/test_ext_autodoc_autofunction.py::test_methoddescriptor
+		tests/test_ext_autodoc_configs.py::test_autodoc_type_aliases
+		tests/test_ext_autodoc_configs.py::test_autodoc_typehints_signature
+		tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module
+		tests/test_ext_autosummary.py::test_autosummary_generate_content_for_module_skipped
+		tests/test_pycode_parser.py::test_annotated_assignment
+	)
+
+	epytest ${deselect[@]/#/--deselect }
+}


             reply	other threads:[~2021-08-03  8:52 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-03  8:52 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-10-16  6:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx/, dev-python/sphinx/files/ Michał Górny
2021-06-04 12:00 Michał Górny
2020-12-01 10:12 Sam James
2018-10-16  0:45 Virgil Dupras
2017-01-19  0:49 David Seifert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1627980746.f3daf52ea21f91719899893f54bb4fd42a88ff3f.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox